Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 5.0.0

Description

In one of my installations I have the following problems:

The "Projects" link is missing in the top menu

When calling up the "./projects/" page, only the following appears in the content area

<div class="contextual"> <%= form_tag({}, :method => :get) do %> <% end %> <%= render_project_

action_links %> </div> <h2><%= @query.new_record? ? l(:label_project_plural) : @query.name %><

/h2> <%= form_tag(projects_path(@project, nil), :method => :get, :id => 'query_form') do %> <%

= render :partial => 'queries/query_form' %> <% end %> <% if @query.valid? %> <% if @entries.e

mpty? %> <p class="nodata"><%= l(:label_no_data) %></p> <% else %> <%= render :partial => @que

ry.display_type, :locals => { :entries => @entries }%> <% end %> <% end %> <% if User.current.

logged? %> <p style="text-align:right;"> <span class="icon icon-user my-project"><%= l(:label_

my_projects) %></span> <span class="icon icon-bookmarked-project"><%= l(:label_my_bookmarks) %

></span> </p> <% end %> <% content_for :sidebar do %> <%= render :partial => 'projects/sidebar

' %> <% end %> <% other_formats_links do |f| %> <%= f.link_to 'Atom', :url => {:key => User.cu

rrent.atom_key} %> <% if @query.display_type == 'list' %> <%= f.link_to_with_query_parameters 

'CSV', {}, :onclick => "showModal('csv-export-options', '350px'); return false;" %> <% end %> 

<% end %> <% html_title(l(:label_project_plural)) -%>

I don't know where this problem comes from...possibly. from the additionals plugin? The problem already existed with 5.0.0

My configuration:

Environment:

  Redmine version                5.0.2.stable

  Ruby version                   2.7.5-p203 (2021-11-24) [x86_64-linux-gnu]

  Rails version                  6.1.6

  Environment                    production

  Database adapter               Mysql2

  Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

  Mailer delivery                smtp

Redmine settings:

  Redmine theme                  Purplemine2 (includes JavaScript)

SCM:

  Subversion                     1.13.0

  Mercurial                      5.3.1

  Cvs                            1.12.13

  Bazaar                         3.0.2

  Git                            2.36.1

  Filesystem                     

Redmine plugins:

  additionals                    3.0.6-main

  redmine_banner                 0.3.4

  redmine_checklists             3.1.21

  redmine_cms                    1.2.3

  redmine_contacts               4.3.6

  redmine_contacts_helpdesk      4.1.13

  redmine_dmsf                   3.0.2

  redmine_lightbox               1.0.1

  redmine_people                 1.6.2
  redmine_questions              1.0.3

  redmine_reporter               2.0.2

  redmine_wktime                 4.6

  redmine_wysiwyg_editor         0.26.0

History

#1 - 2022-06-22 10:40 - C S

- File error-projects.png added

#2 - 2022-06-26 19:56 - Holger Just

- Status changed from New to Needs feedback

Please remove all plugins and verify whether the issue persists with plain Redmine. If it vanishes, you may have to enable each of your plugins after

another to find which of your plugins (or which combination of them) causes the issue. Then, you may want to contact the authors of the respective

plugin.

#3 - 2022-06-28 09:46 - C S

Ok, i found the troublemaker... it's the redmine_cms plugin

#4 - 2022-06-28 09:55 - Marius BĂLTEANU

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

#5 - 2022-12-21 06:19 - Dimitar (RedmineUP)

Hello,

This is Dimitar from the RedmineUP Support Team.

I see that you have some of our plugins on your list:

  redmine_checklists             3.1.21

  redmine_cms                    1.2.3

  redmine_contacts               4.3.6

  redmine_contacts_helpdesk      4.1.13

  redmine_people                 1.6.2

  redmine_questions              1.0.3

  redmine_reporter               2.0.2

 So, could you please contact our support team at support@redmineup.com? And our support engineers will help you investigate the

situation.

We look forward to hearing from you.

Best Regards,

Dimitar from the RedmineUP Support Team

C S wrote:

In one of my installations I have the following problems:

The "Projects" link is missing in the top menu

When calling up the "./projects/" page, only the following appears in the content area

[...]

I don't know where this problem comes from...possibly. from the additionals plugin? The problem already existed with 5.0.0

My configuration:

[...]

Files

error-projects.png 49.4 KB 2022-06-22 C S
